﻿using UnityEngine;
using System;

public class WaitForDateTime : CustomYieldInstruction
{
	public WaitForDateTime(DateTime targetTime)
	{
		this.targetTime = targetTime.ToUniversalTime();
	}

	public override bool keepWaiting
	{
		get { return DateTime.Compare(DateTime.UtcNow, targetTime) < 0; }
	}

	public void Abort()
	{
		targetTime = DateTime.MinValue;
	}

	DateTime targetTime;
}
