﻿using UnityEngine;
using UnityEngine.Events;

public class UnityMessageEvents : MonoBehaviour
{
	#region Attributes
	public UnityEvent onAwake;
	public UnityEvent onStart;
	public UnityEvent onEnable;
	public UnityEvent onUpdate;
	public UnityEvent onDisable;
	public UnityEvent onDestroy;
	#endregion

	#region Unity
	void Awake()
	{
		onAwake.Invoke ();
	}

	void Start()
	{
		onStart.Invoke ();
	}

	void OnEnable()
	{
		onEnable.Invoke ();
	}

	void Update()
	{
		onUpdate.Invoke ();
	}

	void OnDisable()
	{
		onDisable.Invoke ();
	}

	void OnDestroy()
	{
		onDestroy.Invoke ();
	}
	#endregion
}
