using UnityEngine;

public static class ColorExtensions
{
	/// <summary>
	/// Outputs the hexadecimal value for a Color as a string; alpha component is omitted when fully opaque.
	/// </summary>
	/// <returns>A hexadecimal number as a string, i.e. "#(aa)rrggbb" </returns>
	/// <param name="color">A Color value.</param>
	public static string ToHex(this Color32 color)
	{
		const string HEX_FORMAT = "X2";

		var builder = new System.Text.StringBuilder("#");
		if (color.a < 1)
			builder.Append(color.a.ToString(HEX_FORMAT));
		builder.Append(color.r.ToString(HEX_FORMAT));
		builder.Append(color.g.ToString(HEX_FORMAT));
		builder.Append(color.b.ToString(HEX_FORMAT));

		return builder.ToString();
	}
}
