namespace System.Collections.Generic
{
	public static class IListExtensions
	{
		/// <summary>
		/// Performs a Fisher Yates shuffle on the list it's called on.
		/// </summary>
		public static void Shuffle<T>(this IList<T> list)
		{
			var rng = new Random();
			int n = list.Count;
			while (n > 1)
			{
				n--;
				int k = rng.Next(n + 1);
				var value = list[k];
				list[k] = list[n];
				list[n] = value;
			}
		}
	}
}
