using System;
using UnityEngine;

public static class ObjectExtensions
{
	public static void To<T>(this object obj, Action<T> callback)
	{
		To<T>(obj, callback, null);
	}

	public static void To<T>(this object obj, Action<T> callback, Action failed)
	{
		if (callback == null)
		{
			throw new ArgumentNullException ("callback", "A callback receving the casting result must be supplied.");
		}

		try
		{
			var t = (T)obj;
			if (t.Equals(default(T)))
			{
				if (failed != null)
					failed();
			}
			else if (callback != null)
			{
				callback(t);
			}
		}
		catch
		{
			if (failed != null)
				failed();
		}
	}
}
