﻿namespace System.Text.RegularExpressions
{
	public static class RegexPatterns
	{
		/// <summary>
		/// Matches http(s):// and mailto: links.
		/// </summary>
		public const string WEBLINK = @"http(s)?:\/\/|mailto:";

		/// <summary>
		/// Matches email addresses.
		/// </summary>
		public const string EMAIL = @".+@.+\..+";

		/// <summary>
		/// Matches groups of keys in a string; i.e. ${key}.
		/// </summary>
		public const string INTERPOLATION = @"\${([A-Za-z0-9]*)}";
	
		/// <summary>
		/// Matches hexadecimal color strings
		/// </summary>
		public const string HEX_COLOR = @"([A-Fa-f0-9]{6,8})";
	}
}